//
// Copyright (C) 1999-2004 Toshikaz Hirabayashi
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// TOSHIKAZ HIRABAYASHI BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
// OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
// Except as contained in this notice, the name of Toshikaz Hirabayashi shall
// not be used in advertising or otherwise to promote the sale, use or other
// dealings in this Software without prior written authorization from
// Toshikaz Hirabayashi.

#include <WScom.h>
#include <WSCtreeList.h>
#include <WSCclassInformation.h>
#include <WSCdevice.h>
#include <WSCblink.h>
#include <WSCcolorSet.h>
#include <WSCimageSet.h>
#include <WSDdev.h>
#include <WSDcolor.h>
#include <WSCfontSet.h>
#include <WSDappDev.h>

WSMFguiClassInitialize(WSCtreeList, WSClist);
WSMFversion(WSCtreeList, WSClist);

WSMFpropertyValueChange( WSCtreeList, WSNtype , WSCuchar,WS_TREE);
WSMFpropertyValueChange( WSCtreeList, WSNuseIcon , WSCbool,True);
WSMFpropertyValueChange( WSCtreeList, WSNiconPixmap , short,WSGIappImageSet()->getImageNo("$(WSDIR)/sys/pixmaps/bi17.xpm"));

WSCtreeList::WSCtreeList(WSCbase* base, char* objname):
			WSClist(base, objname){

  _icon_pixmap = WSGIappImageSet()->getImageNo("$(WSDIR)/sys/pixmaps/bi17.xpm");
  _disp_type = WS_TREE;
  _use_icon = True;

  WSMFpropertyCreateStart
    WSMFparentCheckVerSrc(WSCtreeList);

    WSMFpropertyValueChangeDef( WSCtreeList,WSNtype ,WSCuchar);
    WSMFpropertyValueChangeDef( WSCtreeList,WSNuseIcon ,WSCbool);
    WSMFpropertyValueChangeDef( WSCtreeList,WSNiconPixmap ,short);
    WSMFpropertyVisibleOff( WSNtype );
  WSMFpropertyCreateEnd

}

WSCtreeList::~WSCtreeList() {
}

